NMSettingBluetooth
3
LIBNM-UTIL Library

# NMSettingBluetooth

## Synopsis

    #define             NM_SETTING_BLUETOOTH_SETTING_NAME
    enum                NMSettingBluetoothError;
    #define             NM_TYPE_SETTING_BLUETOOTH_ERROR
    #define             NM_SETTING_BLUETOOTH_ERROR
    GQuark              nm_setting_bluetooth_error_quark    (void);
    #define             NM_SETTING_BLUETOOTH_BDADDR
    #define             NM_SETTING_BLUETOOTH_TYPE
    #define             NM_SETTING_BLUETOOTH_TYPE_DUN
    #define             NM_SETTING_BLUETOOTH_TYPE_PANU
                        NMSettingBluetooth;
    GType               nm_setting_bluetooth_get_type       (void);
    NMSetting *         nm_setting_bluetooth_new            (void);
    const GByteArray *  nm_setting_bluetooth_get_bdaddr     (NMSettingBluetooth *setting);
    const char *        nm_setting_bluetooth_get_connection_type
                                                            (NMSettingBluetooth *setting);

## Object Hierarchy

      GObject
       +----NMSetting
             +----NMSettingBluetooth

## Properties

      "bdaddr"                   GArray_guchar_*       : Read / Write
      "type"                     gchar*                : Read / Write

## Description

## Details

### NM_SETTING_BLUETOOTH_SETTING_NAME

    #define NM_SETTING_BLUETOOTH_SETTING_NAME "bluetooth"

### enum NMSettingBluetoothError

    typedef enum
    {
    	NM_SETTING_BLUETOOTH_ERROR_UNKNOWN = 0,
    	NM_SETTING_BLUETOOTH_ERROR_INVALID_PROPERTY,
    	NM_SETTING_BLUETOOTH_ERROR_MISSING_PROPERTY,
    	NM_SETTING_BLUETOOTH_ERROR_TYPE_SETTING_NOT_FOUND,
    } NMSettingBluetoothError;

### NM_TYPE_SETTING_BLUETOOTH_ERROR

    #define NM_TYPE_SETTING_BLUETOOTH_ERROR (nm_setting_bluetooth_error_get_type ())

### NM_SETTING_BLUETOOTH_ERROR

    #define NM_SETTING_BLUETOOTH_ERROR nm_setting_bluetooth_error_quark ()

### nm_setting_bluetooth_error_quark ()

    GQuark              nm_setting_bluetooth_error_quark    (void);

Returns :

### NM_SETTING_BLUETOOTH_BDADDR

    #define NM_SETTING_BLUETOOTH_BDADDR    "bdaddr"

### NM_SETTING_BLUETOOTH_TYPE

    #define NM_SETTING_BLUETOOTH_TYPE      "type"

### NM_SETTING_BLUETOOTH_TYPE_DUN

    #define NM_SETTING_BLUETOOTH_TYPE_DUN  "dun"

### NM_SETTING_BLUETOOTH_TYPE_PANU

    #define NM_SETTING_BLUETOOTH_TYPE_PANU "panu"

### NMSettingBluetooth

    typedef struct _NMSettingBluetooth NMSettingBluetooth;

### nm_setting_bluetooth_get_type ()

    GType               nm_setting_bluetooth_get_type       (void);

Returns :

### nm_setting_bluetooth_new ()

    NMSetting *         nm_setting_bluetooth_new            (void);

Returns :

### nm_setting_bluetooth_get_bdaddr ()

    const GByteArray *  nm_setting_bluetooth_get_bdaddr     (NMSettingBluetooth *setting);

`setting` :

Returns :

### nm_setting_bluetooth_get_connection_type ()

    const char *        nm_setting_bluetooth_get_connection_type
                                                            (NMSettingBluetooth *setting);

`setting` :

Returns :

## Property Details

### The `"bdaddr"` property

      "bdaddr"                   GArray_guchar_*       : Read / Write

The Bluetooth address of the device.

### The `"type"` property

      "type"                     gchar*                : Read / Write

Either 'dun' for Dial-Up Networking connections (not yet supported) or 'panu' for Personal Area Networking connections.

Default value: NULL